Package org.eclipse.gef.mvc.fx.parts

## Interface IHandlePartFactory

All Known Implementing Classes:
  `DefaultHoverIntentHandlePartFactory`, `DefaultSelectionHandlePartFactory`

    public interface IHandlePartFactory

The `IHandlePartFactory` interface specifies a factory method for the creation of `IHandlePart`s for a given list of target `IVisualPart`s, a context `IBehavior`, and a context `Map`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createHandleParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets, java.util.Map<java.lang.Object,​java.lang.Object> contextMap)` Creates specific `IHandlePart`s for the given targets.

### Method Detail

#### createHandleParts

    java.util.List<IHandlePart<? extends javafx.scene.Node>> createHandleParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets,
                                                                               java.util.Map<java.lang.Object,​java.lang.Object> contextMap)

Creates specific `IHandlePart`s for the given targets. As additional information might be needed by the `IHandlePartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Parameters:
  `targets` - The target `IVisualPart`s for which handles are to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.